%define	name	gtksee
%define	version	0.3.0
%define	release	2
%define	serial	1

Summary: An image viewer based on GTK+ for the X Window System.
Name:		%{name}
Version:	%{version}
Release:	%{release}
Serial:		%{serial}
Copyright:	GPL
Group: Amusements/Graphics
URL:		http://www.zg169.net/~hotaru/gtksee/index_en.html
Source:		%{name}-%{version}.tar.gz
BuildRoot:	/var/tmp/%{name}-%{version}
Conflicts:	gtksee-static

%description
GTK See is an image view for X, based on the GTK+ (the Gimp ToolKit) GUI
library.  GTK See was written primarily to port ACD See, a popular image
viewer in the Microsoft(TM) world, to UNIX.

%prep
%setup -q

%build
CFLAGS=$RPM_OPT_FLAGS \
./configure --prefix=/usr

make CC=gcc

%install
if [ -d $RPM_BUILD_ROOT ]; then rm -r $RPM_BUILD_ROOT ; fi
mkdir -p $RPM_BUILD_ROOT/usr/{bin,share/{pixmaps,apps/Graphics}}

make prefix=$RPM_BUILD_ROOT/usr install-strip

install -m 644 icons/gtksee.xpm $RPM_BUILD_ROOT/usr/share/pixmaps

mkdir -p $RPM_BUILD_ROOT/etc/X11/applnk/Graphics/
cat > $RPM_BUILD_ROOT/etc/X11/applnk/Graphics/gtksee.desktop <<EOF
[Desktop Entry]
Name=GtkSee
Comment=Image Viewer
Exec=gtksee
Icon=gtksee.xpm
Terminal=0
Type=Application
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README TODO icons
/usr/bin/gtksee
/usr/share/pixmaps/gtksee.xpm
/etc/X11/applnk/Graphics/gtksee.desktop

%changelog
* Wed May 12 1999 Bill Nottingham <notting@redhat.com>
- kill static package

* Tue Apr 13 1999 Michael Maher <mike@redhat.com>
- built package  
